package com.xzzn.ems.domain.vo;

import com.xzzn.ems.domain.EmsStrategyTempTimeConfig;

import java.math.BigDecimal;
import java.util.List;

/**
 * 新增模板+模板时间数据
 *
 * @author xzzn
 * @date 2025-07-12
 */
public class StrategyTempConfigRequest
{

    /** 模板id */
    private String templateId;
    /** 站点id */
    private String siteId;

    /** 关联的策略ID */
    private Long strategyId;

    /** 模板名称，如“模板一” */
    private String templateName;

    /** SDC限制 (%) 1 = 开，0 = 关 */
    private Integer sdcLimit;

    /** SDC下限 (%) */
    private BigDecimal sdcDown;

    /** SDC上限 (%) */
    private BigDecimal sdcUp;

    /** 模板时间 */
    private List<EmsStrategyTempTimeConfig> timeConfigList;

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public void setStrategyId(Long strategyId)
    {
        this.strategyId = strategyId;
    }

    public Long getStrategyId()
    {
        return strategyId;
    }

    public void setTemplateName(String templateName)
    {
        this.templateName = templateName;
    }

    public String getTemplateName()
    {
        return templateName;
    }

    public void setSdcLimit(Integer sdcLimit)
    {
        this.sdcLimit = sdcLimit;
    }

    public Integer getSdcLimit()
    {
        return sdcLimit;
    }

    public void setSdcDown(BigDecimal sdcDown)
    {
        this.sdcDown = sdcDown;
    }

    public BigDecimal getSdcDown()
    {
        return sdcDown;
    }

    public void setSdcUp(BigDecimal sdcUp)
    {
        this.sdcUp = sdcUp;
    }

    public BigDecimal getSdcUp()
    {
        return sdcUp;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public List<EmsStrategyTempTimeConfig> getTimeConfigList() {
        return timeConfigList;
    }

    public void setTimeConfigList(List<EmsStrategyTempTimeConfig> timeConfigList) {
        this.timeConfigList = timeConfigList;
    }
}
